Bug 1848433 (CVE-2020-11971) - CVE-2020-11971 camel: DNS Rebinding in JMX Connector could result in remote command execution
Summary: CVE-2020-11971 camel: DNS Rebinding in JMX Connector could result in remote c...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-11971
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1848470
TreeView+ depends on / blocked
 
Reported: 2020-06-18 11:19 UTC by Michael Kaplan
Modified: 2021-02-16 19:51 UTC (History)
9 users (show)

Fixed In Version: camel 3.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-16 16:18:54 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:5568 0 None None None 2020-12-16 12:13:58 UTC

Comment 4 Jonathan Christison 2020-06-26 10:27:58 UTC
Mitigation:

The JMX instrumentation agent is the vulnerable component in this, if not being used it can be disabled in the following ways 

* As a Java system property - 
`-Dorg.apache.camel.jmx.disabled=true` as java system property 

* Using the CamelContext method -
```java
CamelContext camel = new DefaultCamelContext();
camel.disableJMX();
```

* If using spring altering the spring configuration -
```xml
<camelContext id="camel" xmlns="http://camel.apache.org/schema/spring">
  <jmxAgent id="agent" disabled="true"/>
    ...
</camelContext>
```

Comment 5 errata-xmlrpc 2020-12-16 12:13:57 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.8.0

Via RHSA-2020:5568 https://access.redhat.com/errata/RHSA-2020:5568

Comment 6 Product Security DevOps Team 2020-12-16 16:18:54 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-11971


Note You need to log in before you can comment on or make changes to this bug.